Bug 170247 - GNOME HIG Compliance Patch for python modules
GNOME HIG Compliance Patch for python modules
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: yumex (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-10 01:17 EDT by Dennis Cranston
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-15 05:47:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch for yumex.py (6.13 KB, patch)
2005-10-10 01:18 EDT, Dennis Cranston
no flags Details | Diff
Proposed patch for dialogs.py (3.57 KB, patch)
2005-10-10 01:18 EDT, Dennis Cranston
no flags Details | Diff
Recommended change for desktop file (379 bytes, patch)
2005-10-10 01:19 EDT, Dennis Cranston
no flags Details | Diff
Recommended yumex.png file to add to the pixmaps/yumex directory. (2.39 KB, image/png)
2005-10-10 01:21 EDT, Dennis Cranston
no flags Details

  None (edit)
Description Dennis Cranston 2005-10-10 01:17:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050927 Fedora/1.0.7-2.1.fc4.nr Firefox/1.0.7

Description of problem:
I am attaching a patch to improve the HIG compliance of the python dialogs.  This
means correcting the button order, widget spacing, removing dialog separators,
adding mnemonics, etc.

Also:
* converted the profile menu items to radio menu items
* added mnemonics to the popup menu
* added a default window icon
* cleaned up a few strings to help clarify their meaning


Version-Release number of selected component (if applicable):
yumex-0.42-6.0.fc4

How reproducible:
Always

Steps to Reproduce:
N/A
  

Additional info:
Comment 1 Dennis Cranston 2005-10-10 01:18:05 EDT
Created attachment 119753 [details]
Proposed patch for yumex.py
Comment 2 Dennis Cranston 2005-10-10 01:18:32 EDT
Created attachment 119754 [details]
Proposed patch for dialogs.py
Comment 3 Dennis Cranston 2005-10-10 01:19:28 EDT
Created attachment 119755 [details]
Recommended change for desktop file
Comment 4 Dennis Cranston 2005-10-10 01:21:04 EDT
Created attachment 119756 [details]
Recommended yumex.png file to add to the pixmaps/yumex directory.
Comment 5 Tim Lauridsen 2005-10-11 11:13:23 EDT
Thanks a lot, i will check it out.
Comment 6 Tim Lauridsen 2005-10-15 05:47:44 EDT
Add patched added in Yumex 0.42-07.

Note You need to log in before you can comment on or make changes to this bug.